%global srcname texttable

Summary:        Python module for creating simple ASCII tables
Name:           python-%{srcname}
Version:        1.6.7
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/foutaise/%{srcname}
Source0:        %{pypi_source}

BuildArch:      noarch


%description
Python module to generate a formatted text table, using ASCII characters.


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest


%description -n python3-%{srcname}
Python module to generate a formatted text table, using ASCII characters.


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%pytest tests.py


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 1.6.7-1
- Upgrade to version 1.6.7

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 1.6.4-1
- initial build
